[fxruby-users] foxguib

Russell Fulton r.fulton at auckland.ac.nz
Thu Feb 9 15:37:29 EST 2006



Meinrad Recheis wrote:
> i *guess* it's due to the massive changes of the fxruby api. please
> dont take it as an offence, lyle ;)
> 
> every time a new version of fox is released, the fxruby api changes a
> lot. 

Thanks, I'm new to both Ruby and fox so this is useful background.

So what you are saying is that major improvement to FXRuby have been
released to coincide with the fox releases.  I can see why Lyle did
this, I firmly believe that backward compatibility is often overrated
even if it does cause short term pain.

I seem to remember seeing that fox 1.6 is nearing release. Lyle are you
planning any more major changes to the api?  Just curious ;)

Russell


More information about the fxruby-users mailing list